/// <reference types="node" />
import type { IncomingMessage, ServerResponse } from 'node:http';
import type { TokenVerificationData, TokenVerifier, TokenVerifierOptions } from '@authup/server-core-plugin-kit';
export type MiddlewareOptions = {
    tokenByCookie?: (req: IncomingMessage, name?: string) => string | undefined;
    tokenVerifier: TokenVerifier | TokenVerifierOptions;
    tokenVerifierHandler: (req: IncomingMessage, data: TokenVerificationData) => void;
};
export type Next = (err?: Error) => void;
export type Middleware = (req: IncomingMessage, res: ServerResponse, next: Next) => any;
//# sourceMappingURL=types.d.ts.map